com.fasterxml.jackson.databind.deser.impl

## Class NullsAsEmptyProvider

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.NullsAsEmptyProvider

All Implemented Interfaces:
  NullValueProvider, Serializable

    public class NullsAsEmptyProvider
    extends Object
    implements NullValueProvider, Serializable

Simple `NullValueProvider` that will return "empty value" specified by `JsonDeserializer` provider is constructed with.

See Also:
  Serialized Form

### Field Summary

Fields
`protected JsonDeserializer<?>` `_deserializer`

### Constructor Summary

Constructors
Constructor and Description
`NullsAsEmptyProvider(JsonDeserializer<?> deser)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AccessPattern` `getNullAccessPattern()` Accessor that may be used to determine if and when provider must be called to access null replacement value.
`Object` `getNullValue(DeserializationContext ctxt)` Method called to possibly convert incoming `null` token (read via underlying streaming input source) into other value of type accessor supports.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.fasterxml.jackson.databind.deser.NullValueProvider

`getAbsentValue`

### Field Detail

#### _deserializer

    protected final JsonDeserializer<?> _deserializer

### Constructor Detail

#### NullsAsEmptyProvider

    public NullsAsEmptyProvider(JsonDeserializer<?> deser)

### Method Detail

#### getNullAccessPattern

    public AccessPattern getNullAccessPattern()

Description copied from interface: `NullValueProvider`
Accessor that may be used to determine if and when provider must be called to access null replacement value.

Specified by:
  `getNullAccessPattern` in interface `NullValueProvider`

#### getNullValue

    public Object getNullValue(DeserializationContext ctxt)
                        throws JsonMappingException

Description copied from interface: `NullValueProvider`
Method called to possibly convert incoming `null` token (read via underlying streaming input source) into other value of type accessor supports. May return `null`, or value compatible with type binding.

NOTE: if `NullValueProvider.getNullAccessPattern()` returns `ALWAYS_NULL` or `CONSTANT`, this method WILL NOT use provided `ctxt` and it may thus be passed as `null`.

Specified by:
  `getNullValue` in interface `NullValueProvider`
Throws:
  `JsonMappingException`